// Copyright (c) 2017, 2024, Oracle and/or its affiliates. All rights reserved.
// Licensed under the Mozilla Public License v2.0

variable "tenancy_ocid" {}
variable "user_ocid" {}
variable "fingerprint" {}
variable "private_key_path" {}
variable "region" {}
variable "compartment_ocid" {}

provider "oci" {
  tenancy_ocid     = var.tenancy_ocid
  user_ocid        = var.user_ocid
  fingerprint      = var.fingerprint
  private_key_path = var.private_key_path
  region           = var.region
}

resource "oci_stack_monitoring_baselineable_metric" "test_baselineable_metric" {
	#Required
	compartment_id = var.compartment_ocid
	resource_group = "my_resource"
	resource_type = "resource_type"
	namespace = "my_namespace"
	name = "metric_name"
	column = "metric_column"
}
